#include <stdio.h>
#include <gmodule.h>
#include <glib/gmessages.h>


/* #define DEVEL_STATIC_G_MODULE_DEBUG 1 */


GModule *g_module_open(const gchar *file_name,GModuleFlags flags)
{
#ifdef DEVEL_STATIC_G_MODULE_DEBUG
	g_message("g_module_open:%s",file_name);
#endif /* DEVEL_STATIC_G_MODULE_DEBUG */
	return NULL;
}

gchar *g_module_build_path(const gchar *directory,const gchar *module_name)
{
#ifdef DEVEL_STATIC_G_MODULE_DEBUG
	g_message("g_module_build_path:%s,%s",directory,module_name);
#endif /* DEVEL_STATIC_G_MODULE_DEBUG */
	return NULL;
}

gboolean g_module_close(GModule *module)
{
#ifdef DEVEL_STATIC_G_MODULE_DEBUG
	g_message("g_module_close:%p",module);
#endif /* DEVEL_STATIC_G_MODULE_DEBUG */
	return FALSE;	/* meaning: failure */
}

G_CONST_RETURN gchar *g_module_error(void)
{
#ifdef DEVEL_STATIC_G_MODULE_DEBUG
	g_message("g_module_error\n");
#endif /* DEVEL_STATIC_G_MODULE_DEBUG */
	return NULL;
}

void g_module_make_resident(GModule *module)
{
#ifdef DEVEL_STATIC_G_MODULE_DEBUG
	g_message("g_module_make_resident:%p",module);
#endif /* DEVEL_STATIC_G_MODULE_DEBUG */
}

G_CONST_RETURN gchar *g_module_name(GModule *module)
{
#ifdef DEVEL_STATIC_G_MODULE_DEBUG
	g_message("g_module_name:%p",module);
#endif /* DEVEL_STATIC_G_MODULE_DEBUG */
	return NULL;
}

gboolean g_module_supported(void)
{
#ifdef DEVEL_STATIC_G_MODULE_DEBUG
	g_message("g_module_supported\n");
#endif /* DEVEL_STATIC_G_MODULE_DEBUG */
	return FALSE;	/* meaning: unsupported */
}

gboolean g_module_symbol(GModule *module,const gchar *symbol_name,gpointer *symbol)
{
#ifdef DEVEL_STATIC_G_MODULE_DEBUG
	g_message("g_module_symbol:%p,%s",module,symbol_name);
#endif /* DEVEL_STATIC_G_MODULE_DEBUG */
	return FALSE;	/* meaning: failure */
}
